CompositeSignature
Keywords: net.corda.core.crypto.CompositeSignature class
Date: 2023-09-18

net.corda.core.crypto

## Class CompositeSignature

- net.corda.core.crypto.CompositeSignature

-     public class CompositeSignature

  Dedicated class for storing a set of signatures that comprise `class CompositeKey`.

  See Also:
    `class CompositeKey`

- - ### Field Detail

    - #### SIGNATURE_ALGORITHM

          @NotNull
          public static java.lang.String SIGNATURE_ALGORITHM

      See Also:
        Constant Field Values

    - #### Companion

          public static net.corda.core.crypto.CompositeSignature.Companion Companion

  - ### Constructor Detail

    - #### CompositeSignature

          public CompositeSignature()

      Dedicated class for storing a set of signatures that comprise `class CompositeKey`.

      See Also:
        `class CompositeKey`

  - ### Method Detail

    - #### engineGetParameter

          @Deprecated
           @NotNull
          protected java.lang.Object engineGetParameter(@Nullable
                                                                              java.lang.String param)

      Deprecated.

    - #### engineInitSign

          protected void engineInitSign(@Nullable
                                        java.security.PrivateKey privateKey)

    - #### engineInitVerify

          protected void engineInitVerify(@Nullable
                                          java.security.PublicKey publicKey)

    - #### engineSetParameter

          @Deprecated
          protected void engineSetParameter(@Nullable
                                                        java.lang.String param,
                                                        @Nullable
                                                        java.lang.Object value)

      Deprecated.

    - #### engineSetParameter

          protected void engineSetParameter(@NotNull
                                            java.security.spec.AlgorithmParameterSpec params)

    - #### engineSign

          @NotNull
          protected kotlin.Array[] engineSign()

    - #### engineUpdate

          protected void engineUpdate(byte b)

    - #### engineUpdate

          protected void engineUpdate(@NotNull
                                      kotlin.Array[] b,
                                      int off,
                                      int len)

    - #### engineVerify

          protected boolean engineVerify(@NotNull
                                         kotlin.Array[] sigBytes)

    - #### getService

          @JvmStatic
           @NotNull
          public static java.security.Provider.Service getService(@NotNull
                                                                                       java.security.Provider provider)